Bug 59938 - debugger-agent.c:8949, condition `locals->locals [i].index < header->num_locals' not met
Summary: debugger-agent.c:8949, condition `locals->locals [i].index < header->num_loca...
Status: NEEDINFO
Alias: None
Product: Android
Classification: Xamarin
Component: Debugger (show other bugs)
Version: 7.3 (15.2)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2017-10-03 21:48 UTC by Frank A. Krueger
Modified: 2017-10-23 18:09 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 59938 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
NEEDINFO

Description Frank A. Krueger 2017-10-03 21:48:34 UTC
When I have the following breakpoints set:

Resolved pending breakpoint for 'Xamarin.Forms.Platform.Android.ResourceManager.GetFormsDrawable(Android.Content.Res.Resources, Xamarin.Forms.FileImageSource)' to C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\FastRenderers\GestureManager.cs:19 [0x00000].
Resolved pending breakpoint for 'Xamarin.Forms.Platform.Android.ResourceManager.GetBitmap(Android.Content.Res.Resources, Xamarin.Forms.FileImageSource)' to C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\FastRenderers\GestureManager.cs:64 [0x00000].
Resolved pending breakpoint for 'Xamarin.Forms.Platform.Android.ResourceManager.GetBitmap(Android.Content.Res.Resources, string)' to C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\FastRenderers\GestureManager.cs:82 [0x00000].
Resolved pending breakpoint for 'Xamarin.Forms.Platform.Android.ResourceManager.GetDrawable(Android.Content.Res.Resources, string)' to C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\FastRenderers\GestureManager.cs:110 [0x00000].
Resolved pending breakpoint for 'Xamarin.Forms.Platform.Android.ResourceManager.GetBitmapAsync(Android.Content.Res.Resources, string)' to C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\FastRenderers\GestureManager.cs:102 [0x00000].
Resolved pending breakpoint for 'Xamarin.Forms.Platform.Android.ResourceManager.GetId(System.Type, string)' to C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\FastRenderers\GestureManager.cs:204 [0x00000].

And the debugger breaks, I get:

Assertion at /Users/builder/jenkins/workspace/xamarin-android/xamarin-android/external/mono/mono/mini/debugger-agent.c:8949, condition `locals->locals [i].index < header->num_locals' not met

This project references Xamarin Forms 2.3.5.239-pre3


=== Visual Studio Enterprise 2017 for Mac ===

Version 7.1.5 (build 2)
Installation UUID: cb277521-bd56-48ba-89fd-2659678ff1e7
Runtime:
	Mono 5.2.0.224 (d15-3/14f2c81) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 502000224

=== NuGet ===

Version: 4.3.0.2418

=== .NET Core ===

Runtime: /usr/local/share/dotnet/dotnet
Runtime Versions:
	2.0.0-preview2-25407-01
	2.0.0-preview1-002111-00
	1.1.2
	1.1.1
	1.0.5
	1.0.4
	1.0.1
	1.0.0-rc2-3002702
SDK: /usr/local/share/dotnet/sdk/2.0.0-preview2-006497/Sdks
SDK Versions:
	2.0.0-preview2-006497
	2.0.0-preview1-005977
	1.0.4
	1.0.1
	1.0.0-preview2-003131
	1.0.0-preview1-002702
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.2.0/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.5
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Xamarin.Android ===

Version: 7.3.1.2 (Visual Studio Enterprise)
Android SDK: /Users/fak/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		6.0 (API level 23)
		7.0 (API level 24)
		7.1 (API level 25)

SDK Tools Version: 25.2.5
SDK Platform Tools Version: 25.0.5
SDK Build Tools Version: 25.0.3

Java SDK: /usr
java version "1.8.0_20-ea"
Java(TM) SE Runtime Environment (build 1.8.0_20-ea-b23)
Java HotSpot(TM) 64-Bit Server VM (build 25.20-b22, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Inspector ===

Version: 1.3.0
Hash: 8c298a5
Branch: 1.3-release
Build date: Thu, 14 Sep 2017 21:21:26 GMT
Client compatibility: 1

=== Apple Developer Tools ===

Xcode 9.0 (13247)
Build 9A235

=== Xamarin.iOS ===

Version: 11.0.0.0 (Visual Studio Enterprise)
Hash: 152b654a
Branch: xcode9
Build date: 2017-09-15 02:25:56-0400

=== Xamarin.Mac ===

Version: 3.6.3.3 (Visual Studio Enterprise)

=== Build Information ===

Release ID: 701050002
Git revision: 7afedcaef8e7542e70e3cf8f9bdb26938b8c0876
Build date: 2017-09-15 08:39:58-04
Xamarin addins: 3262aadf811a18c12eac6742532d052b0139a808
Build lane: monodevelop-lion-d15-3-xcode9

=== Operating System ===

Mac OS X 10.12.6
Darwin 16.7.0 Darwin Kernel Version 16.7.0
    Thu Jun 15 17:36:27 PDT 2017
    root:xnu-3789.70.16~2/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

AddinMaker 1.3.7
Xamarin Live Player 1.1.8
Manifest.addin 0.0.0.0
Comment 1 Frank A. Krueger 2017-10-03 21:58:59 UTC
It's this breakpoint that is actually failing:

Resolved pending breakpoint for 'Xamarin.Forms.Platform.Android.ResourceManager.GetId(System.Type, string)' to C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\FastRenderers\GestureManager.cs:204 [0x00000].
Comment 2 Zoltan Varga 2017-10-04 12:32:38 UTC
Host can I reproduce this ?
Comment 3 Jon Douglas [MSFT] 2017-10-23 18:09:45 UTC
Setting status to NEEDINFO as per comment https://bugzilla.xamarin.com/show_bug.cgi?id=59938#c2